GCLOUD_COMPUTE_INSTANCE-GROUPS_MANAGED_RESIZE(1)

NAME

gcloud compute instance-groups managed resize - set managed instance group size

SYNOPSIS

gcloud compute instance-groups managed resize NAME --size SIZE [--zone ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute instance-groups managed resize resize a managed instance group to a provided size. If you resize down, the Instance Group Manager service deletes instances from the group until the group reaches the desired size. To understand in what order instances will be deleted, see the API documentation. If you resize up, the service adds instances to the group using the current instance template until the group reaches the desired size.

POSITIONAL ARGUMENTS
NAME
    Managed instance group name.

REQUIRED FLAGS
--size SIZE
    Target number of instances in managed instance group.

OPTIONAL FLAGS
--zone ZONE
    The zone of the instance group manager to resize. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.